# ICurrencyManagerProvider

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides custom binding management for components.

{% tabs %}
{% tab title="C#" %}

```csharp
public interface ICurrencyManagerProvider
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface ICurrencyManagerProvider
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) CurrencyManager

[CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md): Returns the [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md) associated with this [ICurrencyManagerProvider](/api/wisej.web/data-binding/wisej.web.icurrencymanagerprovider.md).

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) GetRelatedCurrencyManager(dataMember)

Return the [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md) for this [ICurrencyManagerProvider](/api/wisej.web/data-binding/wisej.web.icurrencymanagerprovider.md) and the specified data member.

| Parameter      | Type                                                          | Description                                                                                                                                            |
| -------------- | ------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **dataMember** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The name of the column or list, within the data source, to obtain the [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md) for. |

**Returns:** [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md). The related [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md) obtained from this [ICurrencyManagerProvider](/api/wisej.web/data-binding/wisej.web.icurrencymanagerprovider.md) and the specified data member.

## Implemented By

| Name                                                                    | Description                                              |
| ----------------------------------------------------------------------- | -------------------------------------------------------- |
| [BindingSource](/api/wisej.web/data-binding/wisej.web.bindingsource.md) | Encapsulates the data source for a data-bound component. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.icurrencymanagerprovider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
